## DzlSearchBar

DzlSearchBar

## Functions

GtkWidget * | dzl_search_bar_new ()
gboolean | dzl_search_bar_get_search_mode_enabled ()
void | dzl_search_bar_set_search_mode_enabled ()
gboolean | dzl_search_bar_get_show_close_button ()
void | dzl_search_bar_set_show_close_button ()
GtkWidget * | dzl_search_bar_get_entry ()

## Properties

gboolean | search-mode-enabled | Read / Write
gboolean | show-close-button | Read / Write

## Signals

void | activate | Action
void | reveal | Action

## Types and Values

#define | DZL_TYPE_SEARCH_BAR
struct | DzlSearchBarClass
| DzlSearchBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlSearchBar

## Implemented Interfaces

DzlSearchBar implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_search_bar_new ()

    GtkWidget *
    dzl_search_bar_new (void);

### dzl_search_bar_get_search_mode_enabled ()

    gboolean
    dzl_search_bar_get_search_mode_enabled
                                   (DzlSearchBar *self);

### dzl_search_bar_set_search_mode_enabled ()

    void
    dzl_search_bar_set_search_mode_enabled
                                   (DzlSearchBar *self,
                                    gboolean search_mode_enabled);

### dzl_search_bar_get_show_close_button ()

    gboolean
    dzl_search_bar_get_show_close_button (DzlSearchBar *self);

### dzl_search_bar_set_show_close_button ()

    void
    dzl_search_bar_set_show_close_button (DzlSearchBar *self,
                                          gboolean show_close_button);

### dzl_search_bar_get_entry ()

    GtkWidget *
    dzl_search_bar_get_entry (DzlSearchBar *self);

#### Returns

A GtkSearchEntry.

[transfer none][type Gtk.SearchEntry]

## Types and Values

### DZL_TYPE_SEARCH_BAR

    #define DZL_TYPE_SEARCH_BAR (dzl_search_bar_get_type())

### struct DzlSearchBarClass

    struct DzlSearchBarClass {
      GtkBinClass parent_class;
    };

### DzlSearchBar

    typedef struct _DzlSearchBar DzlSearchBar;

## Property Details

### The `“search-mode-enabled”` property

      “search-mode-enabled”      gboolean

Search Mode Enabled.

Owner: DzlSearchBar

Flags: Read / Write

Default value: FALSE

### The `“show-close-button”` property

      “show-close-button”        gboolean

Show Close Button.

Owner: DzlSearchBar

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“activate”` signal

    void
    user_function (DzlSearchBar *dzlsearchbar,
                   gpointer      user_data)

Flags: Action

### The `“reveal”` signal

    void
    user_function (DzlSearchBar *dzlsearchbar,
                   gpointer      user_data)

Flags: Action